var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconUploadingLarksheetComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? false : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-uploading-larksheet").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : 'none', viewBox: "0 0 32 32" }, rest, { ref: ref }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#00C139', fillRule: "evenodd", d: "M22 2a6 6 0 0 1 6 6v21a1 1 0 0 1-1 1H10a6 6 0 0 1-6-6V3a1 1 0 0 1 1-1h17Z", clipRule: "evenodd" }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#fff', fillRule: "evenodd", d: "M11 11v10h10V11H11Zm-1-2a1 1 0 0 0-1 1v12a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1V10a1 1 0 0 0-1-1H10Z", clipRule: "evenodd", opacity: ".9" }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : 'url(#svg_5e7a297f11__a)', fillRule: "evenodd", d: "M21 17H11v-2h10v2Z", clipRule: "evenodd" }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : 'url(#svg_5e7a297f11__b)', fillRule: "evenodd", d: "M15 21V11h2v10h-2Z", clipRule: "evenodd" }),
        React.createElement("defs", null,
            React.createElement("linearGradient", { id: "svg_5e7a297f11__a", x1: "16", x2: "16", y1: "17", y2: "15", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#fff", stopOpacity: ".85" }),
                React.createElement("stop", { offset: "1", stopColor: "#fff" })),
            React.createElement("linearGradient", { id: "svg_5e7a297f11__b", x1: "14.5", x2: "14.5", y1: "11", y2: "21", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#fff" }),
                React.createElement("stop", { offset: "1", stopColor: "#fff", stopOpacity: ".4" }))));
}
var IconUploadingLarksheet = React.forwardRef(IconUploadingLarksheetComponent);
export default IconUploadingLarksheet;
